Visualizza: Visualizza tutto

From FreeCAD Documentation
Revision as of 19:36, 14 April 2020 by Renatorivo (talk | contribs) (Created page with "{{Docnav/it |Finestra principale a schermo intero |Visualizza la selezione |Menu Visualizza |IconL=S...")

Visualizza tutto

Posizione nel menu
Visualizza → Viste standard → Visualizza tutto
Ambiente
Tutti
Avvio veloce
V F
Introdotto nella versione
-
Vedere anche
Visualizza la selezione

Descrizione

The Std ViewFitAll command zooms and pans the camera so that all visible objects fit inside the active 3D view.

Utilizzo

  1. There are several ways to invoke the command:
    • Press the Std ViewFitAll button.
    • Select the View → Standard views → Fit all option from the menu.
    • Select the Fit all option from the 3D view context menu.
    • Use the keyboard shortcut: V then F.

Note

  • It is also possible to zoom to a 'fit all' via the Mini-cube menu of the Navigation Cube.

Script

Vedere anche: Script di base per FreeCAD

To change the view to 'fit all' use the fitAll method of the ActiveView object. This method is not available if FreeCAD is in console mode.

import FreeCADGui

FreeCADGui.ActiveDocument.ActiveView.fitAll()

Alternatively the SendMsgToActiveView method of the FreeCADGui object can be used. This method is not available if FreeCAD is in console mode.

import FreeCADGui

FreeCADGui.SendMsgToActiveView('ViewFit')